org.wso2.carbon.webapp.mgt.loader

## Class CarbonWebappLoader

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.loader.WebappLoader
      - - org.wso2.carbon.webapp.mgt.loader.CarbonWebappLoader

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, MBeanRegistration, org.apache.catalina.Lifecycle, org.apache.catalina.Loader

      public class CarbonWebappLoader
      extends org.apache.catalina.loader.WebappLoader

  Customized WebappLoader for Carbon.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `org.apache.catalina.Lifecycle.SingleUse`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.loader.WebappLoader

      `sm, support`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CarbonWebappLoader()`
    `CarbonWebappLoader(ClassLoader parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `startInternal()`
    `protected void` | `stopInternal()`

    - ### Methods inherited from class org.apache.catalina.loader.WebappLoader

      `addPropertyChangeListener, addRepository, backgroundProcess, closeJARs, findRepositories, getClassLoader, getClasspath, getContainer, getDelegate, getDomainInternal, getInfo, getLoaderClass, getLoaderRepositories, getLoaderRepositoriesString, getObjectNameKeyProperties, getReloadable, getRepositories, getRepositoriesString, getSearchExternalFirst, modified, propertyChange, removePropertyChangeListener, setContainer, setDelegate, setLoaderClass, setReloadable, setSearchExternalFirst, toString`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `destroyInternal, getDomain, getObjectName, initInternal, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CarbonWebappLoader

          public CarbonWebappLoader()

    - #### CarbonWebappLoader

          public CarbonWebappLoader(ClassLoader parent)

  - ### Method Detail

    - #### startInternal

          protected void startInternal()
                                throws org.apache.catalina.LifecycleException

      Overrides:
        `startInternal` in class `org.apache.catalina.loader.WebappLoader`
      Throws:
        `org.apache.catalina.LifecycleException`

    - #### stopInternal

          protected void stopInternal()
                               throws org.apache.catalina.LifecycleException

      Overrides:
        `stopInternal` in class `org.apache.catalina.loader.WebappLoader`
      Throws:
        `org.apache.catalina.LifecycleException`

Copyright © 2019 WSO2. All rights reserved.